Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455292 - Accessibility Feature of Sticky Keys Broken
Summary: Accessibility Feature of Sticky Keys Broken
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: control-center
Version: 9
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Control Center Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 18:09 UTC by Tyler Robertson
Modified: 2009-07-14 15:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:06:56 UTC


Attachments (Terms of Use)

Description Tyler Robertson 2008-07-14 18:09:19 UTC
Description of problem:
Inside Fedora Core 9 - Gnome, there is an option to turn on Sticky Keys, a way
to simulate modifier buttons on the keyboard.  This is an accessibility feature.
In FC9 there are two options when enabling sticky keys:

[x] Simulate simultaneous keypresses
[ ] Disable sticky keys if two keys are pressed together

The bug is that the second option does not work. Sticky Keys will be disabled
regardless of whether this option is checked. For example, if only the first
option is checked, and lets say the shift key and another key is pressed
simultaneously, then sticky keys are deactivated even though I have not checked
the second option.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Access Accessibility options for the keyboard from the gnome panel
2. Check the first option - Simulate simultaneous keypresses
3. Apply
  
Actual results:  Sticky Keys will be disabled when two keys are physically
pressed simultaneously.

Expected results: Sticky Keys should remain enabled when the second option is
left unchecked.

Additional info:

Comment 1 Bug Zapper 2009-06-10 02:05:18 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-07-14 15:06:56 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.